org.jboss.netty.handler.codec.spdy

## Interface SpdySynStreamFrame

All Superinterfaces:
  SpdyHeaderBlock

All Known Implementing Classes:
  DefaultSpdySynStreamFrame

    public interface SpdySynStreamFrame
    extends SpdyHeaderBlock

A SPDY Protocol SYN_STREAM Control Frame

### Method Summary

Methods
`int` `getAssociatedToStreamId()` Returns the Associated-To-Stream-ID of this frame.
`int` `getAssociatedToStreamID()` Deprecated. Use `getAssociatedToStreamId()` instead.
`byte` `getPriority()` Returns the priority of the stream.
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()` Deprecated. Use `getStreamId()` instead.
`boolean` `isLast()` Returns `true` if this frame is the last frame to be transmitted on the stream.
`boolean` `isUnidirectional()` Returns `true` if the stream created with this frame is to be considered half-closed to the receiver.
`void` `setAssociatedToStreamId(int associatedToStreamId)` Sets the Associated-To-Stream-ID of this frame.
`void` `setAssociatedToStreamID(int associatedToStreamId)` Deprecated. Use `setAssociatedToStreamId(int)` instead.
`void` `setLast(boolean last)` Sets if this frame is the last frame to be transmitted on the stream.
`void` `setPriority(byte priority)` Sets the priority of the stream.
`void` `setStreamId(int streamId)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamID)` Deprecated. Use `setStreamId(int)` instead.
`void` `setUnidirectional(boolean unidirectional)` Sets if the stream created with this frame is to be considered half-closed to the receiver.

### Methods inherited from interface org.jboss.netty.handler.codec.spdy.SpdyHeaderBlock

`addHeader, clearHeaders, containsHeader, getHeader, getHeaderNames, getHeaders, getHeaders, isInvalid, removeHeader, setHeader, setHeader, setInvalid`

### Method Detail

#### getStreamID

    @Deprecated
    int getStreamID()

Deprecated. Use `getStreamId()` instead.

#### getStreamId

    int getStreamId()

Returns the Stream-ID of this frame.

#### setStreamID

    @Deprecated
    void setStreamID(int streamID)

Deprecated. Use `setStreamId(int)` instead.

#### setStreamId

    void setStreamId(int streamId)

Sets the Stream-ID of this frame. The Stream-ID must be positive.

#### getAssociatedToStreamID

    @Deprecated
    int getAssociatedToStreamID()

Deprecated. Use `getAssociatedToStreamId()` instead.

#### getAssociatedToStreamId

    int getAssociatedToStreamId()

Returns the Associated-To-Stream-ID of this frame.

#### setAssociatedToStreamID

    @Deprecated
    void setAssociatedToStreamID(int associatedToStreamId)

Deprecated. Use `setAssociatedToStreamId(int)` instead.

#### setAssociatedToStreamId

    void setAssociatedToStreamId(int associatedToStreamId)

Sets the Associated-To-Stream-ID of this frame. The Associated-To-Stream-ID cannot be negative.

#### getPriority

    byte getPriority()

Returns the priority of the stream.

#### setPriority

    void setPriority(byte priority)

Sets the priority of the stream. The priority must be between 0 and 7 inclusive.

#### isLast

    boolean isLast()

Returns `true` if this frame is the last frame to be transmitted on the stream.

#### setLast

    void setLast(boolean last)

Sets if this frame is the last frame to be transmitted on the stream.

#### isUnidirectional

    boolean isUnidirectional()

Returns `true` if the stream created with this frame is to be considered half-closed to the receiver.

#### setUnidirectional

    void setUnidirectional(boolean unidirectional)

Sets if the stream created with this frame is to be considered half-closed to the receiver.